
Figure - Bug #112224
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】在setting界面，点任意功能，会随机闪退;点版本号必现闪退.显示安卓开机LOGO
2022-09-29 11:08 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-29

Priority: Immediate Due date: 2022-09-29

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220929.alpha_0024

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version: 2022-09-30

Test Type: IT Root cause: Setting应用重写了onTouch方法，小窗在onTouch方法中增加了双击逻辑中对顶部的View没有进行为空的检查，导致出现了空指针异常的出现。

Description

【前提条件】

设备已开机

【测试步骤】

1、打开设置，点版本号

2、随意点击其他配置项

【预期结果】

1、成功进入开发者模式

2、成功切换页面，可正常进行配置

【实际结果】

1、点版本号必现闪退.显示安卓开机LOGO

2、点任意功能，会随机闪退，显示安卓开机LOGO

【复现率】

必现

History

#1 - 2022-09-29 11:23 - DL FW-王琳

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#2 - 2022-09-29 18:22 - DL FW-王琳

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

■ Current state

问题已解决

■ My Analyze

小窗增加双击功能的逻辑处理

2025-07-04 1/2



提交：http://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/152891

请验证。

#3 - 2022-09-30 11:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

#4 - 2022-09-30 11:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#5 - 2022-09-30 11:45 - DL FW-张挽强

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-30

- Root cause set to Setting应用重写了onTouch方法，小窗在onTouch方法中增加了双击逻辑中对顶部的View没有进行为空的检查，导致出现了空指针异常的

出现。

Files

111.txt 4.57 MB 2022-09-29 CD TEST-方永红

222.txt 14.8 MB 2022-09-29 CD TEST-方永红
http://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/152891

